Bug 1815613 - further multus-admission-controller clusteroperator status improvements
Summary: further multus-admission-controller clusteroperator status improvements
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Dan Winship
QA Contact: Weibin Liang
URL:
Whiteboard:
Depends On: 1815612
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-20 17:50 UTC by Dan Winship
Modified: 2020-05-04 11:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1815612
Environment:
Last Closed: 2020-05-04 11:47:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 553 None closed Bug 1815613: [4.4] Update Progressing message for non-critical components 2020-04-17 13:21:01 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:47:24 UTC

Description Dan Winship 2020-03-20 17:50:18 UTC
+++ This bug was initially created as a clone of Bug #1815612 +++

In the past there has often been confusion about the network clusteroperator status including messages like:

    DaemonSet "openshift-multus/multus-admission-controller" is not available

which led people to believe that the network operator was reporting on its own failure to do something, when it fact it's merely commenting on *someone else's* failure to allow the admission controller to start. This is now fixed in master to instead show:

    DaemonSet "openshift-multus/multus-admission-controller" is waiting for other operators to become ready

For QE: if you look in the cluster-network-operator logs, as it posts updates to the clusteroperator status, you should see first:

    Waiting for DaemonSet "openshift-multus/multus-admission-controller" to be created

and shortly after:

    DaemonSet "openshift-multus/multus-admission-controller" is waiting for other operators to become ready

and then that will stay in the status through most of the install process. If the install fails before the worker nodes are allocated, then the status will never make it beyond that. But once the worker nodes come up, it should show that the DaemonSet is deploying, with some series of messages like:

    DaemonSet "openshift-multus/multus-admission-controller" update is rolling out (0 out of 1 updated)

or

    DaemonSet "openshift-multus/multus-admission-controller" is not available (awaiting 1 nodes)

and then eventually CNO will switch to "False" for "Progressing".

Comment 3 Weibin Liang 2020-03-25 19:12:08 UTC
Tested and verified in 4.4.0-0.nightly-2020-03-25-052903

Comment 5 errata-xmlrpc 2020-05-04 11:47:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.